﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Validation.aspx.cs" Inherits="Validation" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
        <asp:TextBox ID="text1" runat="server" Height="20px" Width="196px"></asp:TextBox>
&nbsp;
        <asp:RequiredFieldValidator ID="test1val" runat="server" ControlToValidate="text1" Display="Dynamic" ErrorMessage="This is a Required Field">You must specify a value.</asp:RequiredFieldValidator>
        <br />
        <br />
        <asp:TextBox ID="text2" runat="server" Height="20px" Width="196px"></asp:TextBox>
&nbsp;&nbsp;&nbsp;
        <asp:CompareValidator ID="CompareValidator1" runat="server" ControlToValidate="text2" Display="Dynamic" ErrorMessage="Integer" Operator="DataTypeCheck" Type="Integer">Value must be an integer.</asp:CompareValidator>
        <br />
        <br />
        <asp:TextBox ID="text3" runat="server" Height="20px" Width="196px"></asp:TextBox>
&nbsp;&nbsp;
        <asp:TextBox ID="text4" runat="server" Height="20px" Width="196px"></asp:TextBox>
&nbsp;&nbsp;
        <asp:CompareValidator ID="CompareValidator2" runat="server" ControlToCompare="text4" ControlToValidate="text3" Display="Dynamic" ErrorMessage="CompareValidator" Operator="LessThan">First field must be less than the second field.</asp:CompareValidator>
        <br />
        <br />
        <asp:TextBox ID="text6" runat="server" Height="20px" Width="196px"></asp:TextBox>
&nbsp;
        <asp:RangeValidator ID="RangeValidator1" runat="server" ControlToValidate="text6" Display="Dynamic" ErrorMessage="RangeValidator" MaximumValue="8" MinimumValue="2" Type="Integer">Value must be between 2 and 8.</asp:RangeValidator>
        <br />
        <br />
        <asp:TextBox ID="text5" runat="server" Height="20px" Width="196px"></asp:TextBox>
&nbsp;&nbsp;
        <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" ControlToValidate="text5" Display="Dynamic" ErrorMessage="RegularExpressionValidator" ValidationExpression="\d{5}(-\d{4})?"></asp:RegularExpressionValidator>
        <br />
        <br />
        <asp:TextBox ID="text7" runat="server" Height="20px" Width="196px"></asp:TextBox>
&nbsp;
        <asp:CustomValidator ID="EvenNumberValidator" runat="server" ControlToValidate="text7" Display="Dynamic" ErrorMessage="Custom" OnServerValidate="EvenNumberValidator_ServerValidate">the number should be an even number. </asp:CustomValidator>
        <br />
        <br />
        <asp:ValidationSummary ID="ValidationSummary1" runat="server" Font-Names="Verdana" Font-Size="Medium" ForeColor="#CC0000" HeaderText="Please correct the following error(s):" />
        <br />
        <asp:Button ID="submitButton" runat="server" Height="29px" OnClick="submitButton_Click" Text="Submit" Width="125px" />
        <br />
    
    </div>
    </form>
</body>
</html>
